# TODO: irssi plugin (--with-silc-plugin=%{_libdir}/irssi)
#
# Conditional build:
%bcond_with	perl	 # Perl support (requires perl-Irssi)

Summary:	Secure Internet Live Conferencing client
Summary(pl.UTF-8):	Klient SIRC (Secure Internet Live Conferencing)
Name:		silc-client
Version:	1.1.11
Release:	2
License:	GPL v2
Group:		Applications/Communications
#Source0Download: http://silcnet.org/client.html
Source0:	http://downloads.sourceforge.net/silc/%{name}-%{version}.tar.bz2
# Source0-md5:	cd47e57d61e7acf38d4283e6e98f2625
Patch0:		%{name}-libs.patch
Patch1:		%{name}-format.patch
URL:		http://silcnet.org/client.html
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	glib2-devel >= 1:2.6.0
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.0
%{?with_perl:BuildRequires:	perl-devel >= 1:5.6.1}
BuildRequires:	pkgconfig
# silc >= 1.1, silcclient >= 1.1.1
BuildRequires:	silc-toolkit-devel >= 1.1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SILC (Secure Internet Live Conferencing) is a secure conferencing
network. Silc is the SILC client which is used to connect to SILC
server and the SILC network. The silc client resembles IRC clients to
make the using easier for new users.

%description -l pl.UTF-8
SILC (Secure Internet Live Conferencing) to sieć do bezpiecznych
konferencji internetowych na żywo. Silc to klient SILC służący do
łączenia się z serwerem i siecią SILC. Klient silc przypomina
programy klienckie IRC, aby ułatwić korzystanie nowym użytkownikom.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# missing files in dist, but we don't need them, just stub
install -d lib/silcutil/symbian
touch lib/silcutil/symbian/Makefile.am

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd apps/irssi
%{__libtoolize}
%{__aclocal} -I.
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../..
%configure \
	--with-helpdir=%{_datadir}/%{name}/help \
	%{!?with_perl:--without-perl} \
	%{?with_perl:--with-perl-lib=vendor}
#	--with-silc-plugin=%{_libdir}/irssi

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# interesting files packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog README README.PLUGIN TODO doc/FAQ
%attr(755,root,root) %{_bindir}/silc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/silc.conf
%{_datadir}/silc
%if %{with perl}
# TODO: BR: perl-Irssi
%{perl_vendorarch}/Irssi/Silc.pm
%dir %{perl_vendorarch}/auto/Irssi/Silc
%attr(755,root,root) %{perl_vendorarch}/auto/Irssi/Silc/Silc.so
%endif
%{_mandir}/man1/silc.1*
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/silc-client.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 7d5cac2
- rebuild with openssl 3.0.0

* Sun Feb 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 0063621
- updated descriptions

* Sun Feb 28 2021 Jakub Bogusz <qboosh@pld-linux.org> cc48259
- updated to 1.1.11; build textui client for now
- added libs patch (fixes build with system silc-toolkit)
- added format patch (fixes build with -Werror=format-security)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ab938c5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 06084a6
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 5586061
- adapterized (sorted %verify attrs)

* Sun May 09 2004 ankry <ankry@pld-linux.org> 7d1fefe
- BR fixes, rel. 2

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> e203e17
- spaces -> tab

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 07a07cc
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 66b02e9
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Oct 09 2002 Jakub Bogusz <qboosh@pld-linux.org> 0aac93c
- BR: automake; new %%doc

* Wed May 22 2002 kloczek <kloczek@pld-linux.org> 841591d
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> a5b8b80
- adapterized.

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 885522e
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 3e5e658
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Fri Oct 19 2001 Arkadiusz Miśkiewicz <arekm@maven.pl> 21105b9
- initial pld release

